Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes | Protected Member Functions | Friends
tlp::BooleanAlgorithm Class Reference
Plugins

Interface for selection plug-ins. More...

`#include <BooleanAlgorithm.h>`

Inheritance diagram for tlp::BooleanAlgorithm:
[legend]
Collaboration diagram for tlp::BooleanAlgorithm:
[legend]

List of all members.

## Public Member Functions

- virtual ~BooleanAlgorithm ()

## Public Attributes

- BooleanProperty * booleanResult
    The result of the algorithm is stored in this member.

## Protected Member Functions

- BooleanAlgorithm (const AlgorithmContext &)

## Friends

- class BooleanProperty

## Detailed Description

Interface for selection plug-ins.

## Friends And Related Function Documentation

friend class BooleanProperty`[friend]`

Tulip Software by LaBRI Visualization Team 2001 - 2012